org.eclipse.microprofile.reactive.streams.operators.tck.spi

## Class OnStagesVerification

- java.lang.Object
- - org.eclipse.microprofile.reactive.streams.operators.tck.spi.OnStagesVerification

    public class OnStagesVerification
    extends java.lang.Object

Test cases for OnError, OnTerminate and onComplete.

### Nested Class Summary

Nested Classes
`class` `OnStagesVerification.OnCompleteVerification`
`class` `OnStagesVerification.OnErrorVerification`
`class` `OnStagesVerification.OnTerminateVerification`

### Field Summary

Fields
`protected ReactiveStreamsFactory` `rs`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `onCompleteAndOnTerminateStagesShouldBeCalledWhenTheStreamCompletes()`
`void` `onCompleteStageShouldBeCalledWhenTheStreamComplete()`
`void` `onCompleteStageShouldNotBeCalledWhenTheStreamFailed()`
`void` `onCompleteStageShouldPropagateRuntimeExceptions()`
`void` `onErrorAndOnTerminateStagesShouldBeCalledWhenTheStreamFails()`
`void` `onErrorStageShouldBeCalledWhenTheStreamFailed()`
`void` `onErrorStageShouldBeCalledWhenTheStreamFailedBecauseOfAnIntermediateStage()`
`void` `onErrorStageShouldNotBeCalledWhenTheStreamComplete()`
`void` `onTerminateShouldBeCalledWhenTheStreamIsCancelledFromDownstream()`
`void` `onTerminateStageShouldBeCalledWhenTheStreamComplete()`
`void` `onTerminateStageShouldBeCalledWhenTheStreamFailed()`
`void` `onTerminateStageShouldBeCalledWhenTheStreamFailedBecauseOfAnIntermediateStage()`
`void` `onTerminateStageShouldPropagateRuntimeExceptions()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### rs

    protected final ReactiveStreamsFactory rs

### Method Detail

#### onCompleteStageShouldBeCalledWhenTheStreamComplete

    public void onCompleteStageShouldBeCalledWhenTheStreamComplete()

#### onTerminateStageShouldBeCalledWhenTheStreamComplete

    public void onTerminateStageShouldBeCalledWhenTheStreamComplete()

#### onErrorStageShouldNotBeCalledWhenTheStreamComplete

    public void onErrorStageShouldNotBeCalledWhenTheStreamComplete()

#### onCompleteStageShouldPropagateRuntimeExceptions

    public void onCompleteStageShouldPropagateRuntimeExceptions()

#### onCompleteStageShouldNotBeCalledWhenTheStreamFailed

    public void onCompleteStageShouldNotBeCalledWhenTheStreamFailed()

#### onErrorStageShouldBeCalledWhenTheStreamFailed

    public void onErrorStageShouldBeCalledWhenTheStreamFailed()

#### onErrorStageShouldBeCalledWhenTheStreamFailedBecauseOfAnIntermediateStage

    public void onErrorStageShouldBeCalledWhenTheStreamFailedBecauseOfAnIntermediateStage()

#### onTerminateStageShouldBeCalledWhenTheStreamFailed

    public void onTerminateStageShouldBeCalledWhenTheStreamFailed()

#### onTerminateStageShouldBeCalledWhenTheStreamFailedBecauseOfAnIntermediateStage

    public void onTerminateStageShouldBeCalledWhenTheStreamFailedBecauseOfAnIntermediateStage()

#### onTerminateStageShouldPropagateRuntimeExceptions

    public void onTerminateStageShouldPropagateRuntimeExceptions()

#### onCompleteAndOnTerminateStagesShouldBeCalledWhenTheStreamCompletes

    public void onCompleteAndOnTerminateStagesShouldBeCalledWhenTheStreamCompletes()

#### onErrorAndOnTerminateStagesShouldBeCalledWhenTheStreamFails

    public void onErrorAndOnTerminateStagesShouldBeCalledWhenTheStreamFails()

#### onTerminateShouldBeCalledWhenTheStreamIsCancelledFromDownstream

    public void onTerminateShouldBeCalledWhenTheStreamIsCancelledFromDownstream()